; asmsyntax=nasm
;
; theme-pl.asm
; (8859-2)
; Polish theme data for Smart Boot Manager
;
; Copyright (C) 2001, Suzhe. See file COPYING for details.
; Polish Translation: Jerzy Romanek  <rojer@interia.pl>
;
; See file COPYING for details.
;   Last modify: 27 October 2005 
;
;  some constant used in this theme-pl.
;
; PLEASE DO NOT CHANGE THESE, UNLESS YOU KNOW WHAT YOU ARE DOING!
; PROSZE NIC NIE ZMIENIAC, ZWLASZCZA JESLI NIE WIESZ CO ROBISZ !

%define SBMT_MAGIC      0x544D4253         ; magic number of
                                           ; Smart Boot Manager theme.
%define SBMT_VERSION    0x0307             ; wersja tematu - theme.

start_font          equ     219
brand_char1         equ     start_font
brand_char2         equ     start_font+1
brand_char3         equ     start_font+2
brand_char4         equ     start_font+3

        bits 16

%ifndef MAIN
        org 0                       ; NIE USUWAJ/MODYFIKUJ TEJ LINII!!!
%endif

start_of_theme:

;!!! PROSZE NIE ZMIENIAC ROZMIARU I PORZADKU NASTEPUJACYCH DANYCH !!!

;=============================================================================
;naglowek tematu Boot Managera theme ( 16 bytes )
;=============================================================================
theme_magic         dd  SBMT_MAGIC ; magic number = 'SBMT', 4 bytes.
                                   ; it's abbr. of 'Smart Boot Manager Theme'
                    dw  0          ;
theme_lang          db  'pl-PL',0  ; jezyk tematu, 6 bajtow.
theme_version       dw  SBMT_VERSION ; wersja, wyzsze bajty to glowna wersja,
                                   ; nizsze bajty to nizsza wersja. powinny odpowiadac
                                   ; wersji Smart Boot Managera.
theme_size          dw  (end_of_theme - start_of_theme)
                                   ; wielkosc pl-tematu (bajty).

;=============================================================================
; ustalenie zmiennych i tabeli zmiennych
;=============================================================================

video_mode          db  0xff       ; 0 = 90x25, 0xff = 80x25
                                   ; nie uzywaj innych wartosci!!!

keyboard_type       db  0x10       ; = 0x10 oznaczenie uzytej rozszerzonej klawiatury
                                   ; = 0x00 oznaczenie uzytej normalnej klawiatury
                                   ; UWAGA: nie mozna uzyc innych wartosci!!!

show_date_method    db  3          ; sposob  pokazania daty:
                                   ; 0 = nie pokazuj daty
                                   ; 1 = mies-dzien-rok = mm-dd-yyyy
                                   ; 2 = rok-mies-dzien = yyyy-mm-dd
                                   ; 3 = dzien-mies-rok = dd-mm-yyyy

show_time_method    db  1          ; sposob pokazania czasu:
                                   ; 0 = nie pokazuj czasu
                                   ; 1 = hh:mm =godz:min  (24 godz)

yes_key_lower	    db  't'        ; klawisz potwierdzenia tak-yes
yes_key_upper	    db  'T'        ; klawisz potwierdzenia Tak-Yes

; w elementow ekranu
position:
.main_win_col       db  14         ; poczatek kolumny glownego okna
.main_win_row       db  6          ; poczatek rzedu glownego okna

.brand_col          db  255        ; poczatek kolumny of brand icon (ikony znaku firmowego)
                                   ; jesli = 255 wtedy znak bedzie
                                   ; na prawym skraju ekranu.
.brand_row          db  0          ; poczatek rzedu ikony znaku firmowego (brand icon)

.cmd_menu_col       db  1          ; pozycja menu polecen.
.cmd_menu_row       db  1          ;

.date_col           db  55
.date_row           db  0

.time_col           db  70
.time_row           db  0

; wielkosc elementow ekranu
size:
.copyright          db  1          ; liczba rzedow uzytych na copyright info
.hint               db  1          ; liczba rzedow uzytych na info wskazowki-porady na dole
.box_width          db  5          ; minimalna szerokosc panela info/blad/wejscie
                                   ; (kiedy brak obrazu lancucha info)
.box_height         db  4          ; minimalna wysokosc panela info/blad/wejscie
                                   ; (kiedy-dopoki brak obrazu lancucha info)
.main_win_height    db  11         ; wysokosc okna glownego
.bootmenu_height    db  8          ; wysokosc powierzchni boot menu

;Czarna                = 0
;Niebieska             = 1
;Zielona               = 2
;Turkusowa             = 3
;Czerwona              = 4
;Fioletowa             = 5
;Brazowa (zolta)       = 6
;Szara (jasna)         = 7
;Szara (czarna)        = 8
;Intensywnie niebieska = 9
;Intensywnie zielona   = a
;Intensywnie turkusowa = b
;Intensywnie czerwona  = c
;Intensywnie fioletowa = d
;Intensywnie zolta     = e
;Intensywnie biala     = f

; kolor elementow ekranu
; wyzsze 4 bity to kolor ta, nizsze 4 bity to kolor przedniego planu

color:
.main_win_frame     db  0x12        ; -obramowanie Glownego okna
.main_win_title     db  0x2A        ; naglowek Glownego okna-tekst
.menu_title         db  0x12        ; nazwy--> flagi-typ-nazwa
.menu_normal        db  0x3B        ; wykaz napedow w boot menu
.menu_focus         db  0x6E        ; podswietlenie wybranego napedu (przewijanego)
.scrollbar          db  0x2F        ; pasek przewijania(scroll bar)- strzalki
.delay_time         db  0x79        ; czas opoznienia -  prawy dolny rog
.background         db  0x80        ; tlo gdy brak ikony tla-background (if no background icon)
.copyright          db  0x70        ; copyright
.copyright_hl       db  0x74        ; podswietlenie copyright
.hint               db  0x70        ; tekst porady
.hint_hl            db  0x74        ; podswietlenie porad
.knl_flags          db  0x71        ; kolor flag kernela (dysku).
.knl_drvid          db  0x70        ; kolor id napedu (dysku).
.date               db  0x71        ; kolor daty
.time               db  0x79        ; kolor czasu

.input_box_frame    db  0xA1        ; -obramowanie okna wprowadzenia-wpisu, haslo
.input_box_title    db  0x1E        ; tytul panela wprowadzenia-wpisu, haslo
.input_box_msg      db  0xA0        ; wiadomosc w oknie (haslo napedu)

.error_box_frame    db  0xCE        ;  -ramka okna "bledu"
.error_box_title    db  0xE1        ; tytul panela bledu
.error_box_msg      db  0xCF        ; wiadomosc bledu

.info_box_frame     db  0x79        ;  -ramka okna "Info"
.info_box_title     db  0x9E        ; tytul panela Info
.info_box_msg       db  0x7F        ; tekst info w oknie

.help_win_frame     db  0x31        ;  -obramowanie okna "Pomoc"
.help_win_title     db  0x1B        ; tytul okna Pomoc
.help_msg           db  0x30        ; tekst

.about_win_frame    db  0x21        ;  -ramka "O programie"
.about_win_title    db  0x1E        ; tytul panela "o programie"
.about_msg          db  0x2B        ; tekst "o programie"

.cmd_menu_winframe  db  0x21        ; ramka "Glowne menu"
.cmd_menu_wintitle  db  0x1A        ; tytul-naglowek okna Glownego menu polecen
.cmd_menu_normal    db  0x20        ; tekst linii w menu polecen
.cmd_menu_normal_hl db  0x26        ; klawisz skrotu w niezaznacz. liniach
.cmd_menu_focus     db  0x5E        ; linia w menu polecen- podswietlona
.cmd_menu_focus_hl  db  0x5C        ; podswietlenie klawisza skrotu w zaznaczonej linii
                                    ; menu polecen
; dane ikon
icon:
.brand_size         dw  0x0104                ; wielkosc ikony znaku firmowego (brand icon),
                                              ; wyzszy bajt = rzad, niski bajt = kolumna.
.brand              dw  icon_data.brand       ; offset znaku firmowego (brand icon), 
                                              ; ustaw na zero jesli brak ikony.

;.background_size    dw  0x0104               ; wielkosc ikon tla,  wyzszy bajt = rzad,
 .background_size    dw  0                    ; niski bajt = kolumna, 0-brak ikony
;.background         dw  icon_data.background ; offset (przesuniecie) danych ikony tla, !!!!!!!
 .background         dw  0                    ; ustaw na zero jesli brak ikony tla.

; dane czcionki
font:
.number             dw  (font_data.end-font_data)/17
                                            ; number of chars to be replaced,
                                            ; should <= (256 - start).
.data               dw  font_data           ; offset of font set data, set to
                                            ; zero if no font to be replaced.


; znaki uzyte przez ramke okna
frame_char:
.top                db     0x20            ; poziomo - gora
.bottom             db     0xCD            ; poziomo - dol
.left               db     0xBA            ; pionowo - na lewo
.right              db     0xBA            ; pionowo - na prawo
.tl_corner          db     0xC9            ; lewy gorny rog
.tr_corner          db     0xBB            ; prawy gorny rog
.bl_corner          db     0xC8            ; lewy dolny rog
.br_corner          db     0xBC            ; prawy d-naronik

; jak rysowac ramke okna
draw_frame_method   db  1          ; = 0 oznaczenie rysowania  OLD 1
                                   ;     means draw all frame using frame attr.
                                   ; = 1 rysowanie gornej poziomej linii dla
                                   ;     atrybutu tytulu.
                                   ; = 2 rysowanie poziomej linii i gornego rogu
                                   ;     dla atrybutu tytulu.- jak w THEME_ZH
                                   ;     (pojedyncza ramka)

; keymap data - dane mapowania klawiatury
keymap:                                  ; wprowadzenie-wpis klawiatury
.number             dw  (keymap_data.end-keymap_data)/4
                                           ; liczba wpisow klawiatury
.data               dw  keymap_data      ; wskaznik mapowania klawiszy

; index table of strings
str_idx:
.main_win_title     dw  string.main_win_title
.menu_title         dw  string.menu_title
.about              dw  string.about
.error              dw  string.error
.help               dw  string.help
.info               dw  string.info
.input              dw  string.input

.delay_time         dw  string.delay_time
.name               dw  string.name
.new_root_passwd    dw  string.new_root_passwd
.root_passwd        dw  string.root_passwd
.new_record_passwd  dw  string.new_record_passwd
.record_passwd      dw  string.record_passwd
.retype_passwd      dw  string.retype_passwd
.input_schedule     dw  string.input_schedule
.input_keystrokes   dw  string.input_keystrokes
.key_count          dw  string.key_count
.io_port            dw  string.io_port
.year               dw  string.year

.drive_id           dw  string.drive_id
.part_id            dw  string.part_id
.record_type        dw  string.record_type
.record_name        dw  string.record_name
.auto_active        dw  string.auto_active
.active             dw  string.active
.auto_hide          dw  string.auto_hide
.hidden             dw  string.hidden
.swap_drv           dw  string.swap_drv
.logical            dw  string.logical
.key_strokes        dw  string.key_strokes
.password           dw  string.password
.schedule           dw  string.schedule
.yes                dw  string.yes
.no                 dw  string.no

.copyright          dw  string.copyright
.hint               dw  string.hint
.about_content      dw  string.about_content
.help_content       dw  string.help_content

.changes_saved      dw  string.changes_saved
.passwd_changed     dw  string.passwd_changed
.ask_save_changes   dw  string.ask_save_changes

.wrong_passwd       dw  string.wrong_passwd
.disk_error         dw  string.disk_error
.mark_act_failed    dw  string.mark_act_failed
.toggle_hid_failed  dw  string.toggle_hid_failed
.no_system          dw  string.no_system
.invalid_record     dw  string.invalid_record
.invalid_schedule   dw  string.invalid_schedule
.inst_confirm       dw  string.inst_confirm
.inst_ok            dw  string.inst_ok
.inst_abort         dw  string.inst_abort
.uninst_confirm     dw  string.uninst_confirm
.uninst_ok          dw  string.uninst_ok
.uninst_abort       dw  string.uninst_abort
.confirm            dw  string.confirm
.no_sbml            dw  string.no_sbml
.invalid_ioports    dw  string.invalid_ioports

; menu polecen str_idx
; glowne menu
.main_menu_title    dw string.main_mnu_title
.main_menu_strings:
                    dw string.main_mnu_help
                    dw string.main_mnu_about
                    dw string.main_mnu_save
                    dw string.main_mnu_bootit
                    dw string.main_mnu_bootprev
                    dw string.main_mnu_bar
                    dw string.main_mnu_recordset
                    dw string.main_mnu_sysset
                    dw string.main_mnu_bar
                    dw string.main_mnu_quit
                    dw string.main_mnu_poweroff

; menu ustawien napedow - record settings menu
.record_menu_title  dw string.record_mnu_title
.record_menu_strings:
                    dw string.record_mnu_info
                    dw string.record_mnu_name
                    dw string.record_mnu_passwd
                    dw string.record_mnu_schedule
                    dw string.record_mnu_keys
                    dw string.record_mnu_bar
                    dw string.record_mnu_act
                    dw string.record_mnu_hide
                    dw string.record_mnu_autoact
                    dw string.record_mnu_autohide
                    dw string.record_mnu_swapdrv
                    dw string.record_mnu_bar
                    dw string.record_mnu_del
                    dw string.record_mnu_dup
                    dw string.record_mnu_moveup
                    dw string.record_mnu_movedown

;  menu ustawien systemowych - system setting menu
.sys_menu_title     dw string.sys_mnu_title
.sys_menu_strings:
                    dw string.sys_mnu_rootpasswd
                    dw string.sys_mnu_admin
                    dw string.sys_mnu_security
                    dw string.sys_mnu_bar
                    dw string.sys_mnu_setdef
                    dw string.sys_mnu_unsetdef
                    dw string.sys_mnu_delay
                    dw string.sys_mnu_bmstyle
                    dw string.sys_mnu_remlast
                    dw string.sys_mnu_int13ext
                    dw string.sys_mnu_bar
                    dw string.sys_mnu_rescanall
                    dw string.sys_mnu_rescanpart
                    dw string.sys_mnu_set_ioports
                    dw string.sys_mnu_set_y2kfix
                    dw string.sys_mnu_bar
                    dw string.sys_mnu_inst
                    dw string.sys_mnu_uninst

.cdimg_menu_title   dw string.cdimg_mnu_title
.cdimg_menu_strings dw string.cdimg_mnu_noemu
                    dw string.cdimg_mnu_120m
                    dw string.cdimg_mnu_144m
                    dw string.cdimg_mnu_288m

.sunday             dw string.sunday
.monday             dw string.monday
.tuesday            dw string.tuesday
.wednesday          dw string.wednesday
.thursday           dw string.thursday
.friday             dw string.friday
.saturday           dw string.saturday

end_of_str_idx:

;=============================================================================
; wielkosc danych zmiennych
;=============================================================================

; dane ikon

; dwa bajty odpowiadaja znakowi,
; wyzszy bajt to kolor , nizszy bajt to kod znaku.
icon_data:
.brand:
;db  brand_char1, 0x7C, brand_char2, 0x7C, brand_char3, 0x7C, brand_char4, 0x7C ;no changed-niezmienione znak j.czerwony
 db  brand_char1, 0x72, brand_char2, 0x72, brand_char3, 0x72, brand_char4, 0x72  ;znak firm. ZIELONY

.background:
; db  0xB0, 0x71, 0xB0, 0x71, 0xB0, 0x71, 0xB0, 0x71    ;niezmienione - theme-us 3.7.1
; uzyj znakw B0, B1, B2 lub F9  - background  ew. DC, DD, DE, DF 
; db  '', 0x07, '', 0x07, '', 0x07, '', 0x07
; db  '', 0x07, '', 0x07, '', 0x07, '', 0x07
 
; font data
; each char occupied 17 bytes
; the first bytes is the ascii code used by this char
; the following 16 bytes is font data
; UWAGA:
;   Nie zmieniaj  znakow ascii 0 i 0x0d, 0x1e i 0x1f,
;   znaki te maja specjalne przeznaczenie.
;
font_data:

  db  start_font
  db  0x00,0x00,0x00,0x00,0x07,0x0c,0x08,0x08,0x0c,0x07,0x00,0x00,0x00,0x00,0xfe,0x00
  db  start_font+1
  db  0x01,0x01,0x01,0x01,0xfd,0x01,0x1f,0x1f,0x03,0xf7,0x0d,0x19,0x31,0x61,0xff,0xff
  db  start_font+2
  db  0x80,0x80,0x80,0x80,0xbf,0x80,0xf0,0xf8,0x98,0x9b,0x98,0x98,0x98,0x98,0x9e,0x9e
  db  start_font+3
  db  0x00,0x00,0x00,0x00,0xff,0x00,0x00,0x00,0x00,0xf0,0x18,0x08,0x08,0x18,0xf0,0x00
    
 db  '', 000h,000h,038h,018h,018h,01Ch,018h,038h,018h,018h,018h,03Ch,000h,000h,000h,000h  ;
 db  '', 000h,000h,00Ch,018h,000h,0DCh,066h,066h,066h,066h,066h,066h,000h,000h,000h,000h  ; 
 db  '', 000h,000h,000h,000h,000h,078h,00Ch,07Ch,0CCh,0CCh,0CCh,076h,002h,004h,006h,000h  ;   
 db  '', 000h,000h,00Ch,018h,000h,07Ch,0C6h,060h,038h,00Ch,0C6h,07Ch,000h,000h,000h,000h  ; 
 db  '', 00Ch,018h,07Ch,0C6h,0C6h,060h,038h,00Ch,006h,0C6h,0C6h,07Ch,000h,000h,000h,000h  ; 
;db  '', 000h,000h,00Ch,018h,000h,0FEh,0CCh,018h,030h,060h,0C6h,0FEh,000h,000h,000h,000h  ;mae 
 db  '', 000h,000h,00Ch,018h,000h,0FEh,0CCh,018h,030h,060h,0C6h,0FEh,000h,000h,000h,000h  ;te mae  !
 db  '', 000h,000h,000h,000h,000h,07Ch,0C6h,0FEh,0C0h,0C0h,0C6h,07Ch,010h,020h,018h,000h  ;
 db  '', 000h,000h,00Ch,018h,000h,07Ch,0C6h,0C6h,0C6h,0C6h,0C6h,07Ch,000h,000h,000h,000h  ; 
 db  '', 000h,000h,00Ch,018h,000h,07Ch,0C6h,0C0h,0C0h,0C0h,0C6h,07Ch,000h,000h,000h,000h  ; 
 db  '', 000h,000h,018h,018h,000h,0FEh,0CCh,018h,030h,060h,0C6h,0FEh,000h,000h,000h,000h  ;kropka-prawo 
; db  '' ,00h,00h,20h,00h,00h,00h,00h,00h,00h,00h,00h,00h,00h,00h,00h,00h     
; db  '' ,00h,00h,00h,00h,00h,00h,00h,00h,00h,00h,20h,00h,00h,00h,00h,00h 

  
.end:

; keymap
; each entry has two words, the first is original keycode, 
; the second is new keycode.
keymap_data:
%ifdef KEYMAP_AZERTY
  %include "azerty.kbd"
%elifdef KEYMAP_QWERTZ
  %include "qwertz.kbd"
%elifdef KEYMAP_QWERTZ_DE
  %include "qwertz-de.kbd"
%elifdef KEYMAP_DVORAK
  %include "dvorak.kbd"
%elifdef KEYMAP_DVORAK_ANSI
  %include "dvorak-ansi.kbd"
%endif
.end:

; lancuchy
; wszyskie lancuchy sa zakonczone zerem,
; uzyj 0x0d aby zalamac lancuch wieloliniowy.
string:
; zastosowane w glownym oknie i boot menu.
.main_win_title     db  'Boot Menu',0
.menu_title         db  '    Flagi     Numer   Typ      Nazwa',0

; naglowki okien - window titles.
.about              db  'O programie',0
.error              db  'Bd',0
.help               db  'Pomoc',0
.info               db  'Info',0
.input              db  'Wpisz',0

; zastosowane w panelach kontekstowych - wywolanych.
.delay_time         db  'Czas opnienia: ',0
.name               db  'Nazwa: ',0
.new_root_passwd    db  'Nowe '
.root_passwd        db  'haso administratora: ',0
.new_record_passwd  db  'Nowe '
.record_passwd      db  'haso napdu: ',0
.retype_passwd      db  'Powtrz haso: ',0
.input_schedule     db  'Harmonogram (hh:mm-hh:mm;dni): ',0
.input_keystrokes   db  'Przeka klawisze (max 13 klawiszy)',0x0d
                    db  'Nacinij <Scroll Lock>, aby zakoczy',0x0d
                    db  'Kod klawisza = 0x',0
.key_count          db  0x0d,'Ilo klawiszy = ',0
.io_port            db  'Porty bazowe I/O (hex1,hex2): ',0
.year               db  'Rok: ',0

; uzyte w oknie info napedu.
.drive_id           db       '       ID napdu: ',0
.part_id            db  '  ID partycji: ',0
.record_type        db  0x0d,'      Typ napdu: ',0
.record_name        db  0x0d,'    Nazwa napdu: ',0

.auto_active        db  0x0d,0x0d,'    Auto aktywuj: ',0
.active             db  '      Aktywna: ',0
.auto_hide          db  0x0d,'      Auto ukryj: ',0
.hidden             db  '       Ukryta: ',0
.swap_drv           db  0x0d,'Zamie id napdu: ',0
.logical            db  '     Logiczna: ',0
.key_strokes        db  0x0d,0x0d,'Przeka klawisze: ',0
.password           db  '        Haso: ',0
.schedule           db  0x0d,'     Harmonogram: ',0

.yes                db  'Tak',0
.no                 db  'Nie ',0

; informacja praw autorskich, wyswietlona na gorze ekranu.
.copyright          db  ' Smart Boot Manager 3.7.2 | Copyright (C) 2001 Suzhe',0

; wzmianka-porada, wyswietlona na dole ekranu.
.hint               db  '  ~F1~-Pomoc ~F2~-Zapisz ~F3~-Zmie nazw ~F7~-Auto ukryj ~Tab~-Menu',0

; informacja o programie.
.about_content      db  '                Smart Boot Manager 3.7.2-pl',0x0d
;                   db  '        Copyright (C) 2001 Suzhe <su_zhe@sina.com>',0x0d,0x0d    ;old
                    db  '        Copyright (C) 2001 Suzhe <su_zhe@sina.com>',0x0d
;                   db  '      wersja polska Jerzy Romanek <rojer@interia.pl>',0x0d,0x0d
                    db  ' Program ten jest free software, moesz go rozpowszechnia',0x0d
                    db  '        i/lub modyfikowa pod warunkami licencji',0x0d
                    db  '          GNU General Public License version 2.',0x0d,0x0d
                    db  '   Program udostpniony jest bez jakiejkolwiek gwarancji.',0
;                   db  '      Uzywanie programu WYLACZNIE NA WLASNE RYZYKO!',0

.help_content:
        db '      F1 = Pomoc                 Ctrl+F1 = O programie',0x0d
        db '      F2 = Zapisz                     F3 = Zmie nazw',0x0d
        db '      F4 = Oznacz aktywna             F5 = Ukryj/poka',0x0d
        db '      F6 = Auto aktywuj               F7 = Auto ukryj',0x0d
        db '      F8 = Ustaw napd domylny   Ctrl+D = Usu napd',0x0d	
        db 'Shift+F8 = Wycz napd domylny  Ctrl+P = Powiel napd',0x0d
        db '  Ctrl+U = Przesu wpis w gr    Ctrl+S = Harmonogram bootowania',0x0d
        db '  Ctrl+N = Przesu wpis w d        F10 = Haso administratora',0x0d
        db '     Tab = Poka menu polece   Ctrl+F10 = Tryb administratora',0x0d
        db '  Ctrl+F = Zmie wygld menu     Alt+F10 = Tryb ochrony',0x0d,
        db '  Ctrl+X = Zamie id dysku       / lub ? = Poka informacje',0x0d
        db '      F9 = Zmie haso bootowanego napdu',0x0d
        db '  Ctrl+T = Ustaw czas opnienia',0x0d
        db '  Ctrl+I = Skanuj ponownie wszystkie napdy',0x0d
        db '  Ctrl+H = Skanuj ponownie wszystkie partycje',0x0d
        db '  Ctrl+L = Zapamitaj ostatnio bootowany napd',0x0d
        db '  Ctrl+K = Przeka klawisze do Systemu Operacyjnego',0x0d
        db '  Ctrl+Q = Wyjcie do BIOSu     Ctrl+F12 = Wycz komputer',0

; normal messages.
.changes_saved      db  'Zmiany zapisano.',0
.passwd_changed     db  'Haso zmieniono.',0
.ask_save_changes   db  'Zapisa zmiany (t/n)?',0

; error messages.
.wrong_passwd       db  'Bdne haso!',0
.disk_error         db  'Bd dysku! 0x',0
.mark_act_failed    db  'Bd oznaczenia aktywna!',0
.toggle_hid_failed  db  'Bd ukryj/poka!',0
.no_system          db  'Brak systemu operacyjnego!',0x0d
                    db  'Zmie dysk i sprbuj ponownie.',0
.invalid_record     db  'Nieprawidowy bootowany napd!',0
.invalid_schedule   db  'Harmonogram:nieprawidowy czas!',0
.inst_confirm       db  'Chcesz zainstalowa Smart BootManagera ',
                    db  'do napdu ',0
.inst_ok            db  'Zainstalowano pomylnie!',0
.inst_abort         db  'Bd instalacji.',0
.uninst_confirm     db  'Chcesz odinstalowa Smart BootManagera?',0x0d,0
.uninst_ok          db  'Odinstalowano!',0x0d
                    db  'Komputer wymaga ponownego uruchomienia.',0
.uninst_abort       db  'Bd odinstalowania.',0
.confirm            db  'Nacinij T, aby kontynuowa lub inny klawisz, aby zakoczy.',0
.no_sbml            db  'Brak loadera Smart Boot Managera ',0x0d
                    db  'lub nieprawidowa wersja!',0
.invalid_ioports    db  'Bd portw i/o!',0

; command menu strings - lancuch menu polecen
; main menu - glowne menu
.main_mnu_title     db  'Menu gwne',0
.main_mnu_help      db  'Pomoc                 ~F1~',0
.main_mnu_about     db  'O programie      ~Ctrl-F1~',0
.main_mnu_bootit    db  'Bootuj',0
.main_mnu_bootprev  db  'Bootuj poprzedni MBR',0
.main_mnu_quit      db  'Wyjcie do biosu  ~Ctrl-Q~',0
.main_mnu_poweroff  db  'Wycz komputer ~Ctrl-F12~',0
.main_mnu_recordset db  'Ustawienia napdw    ->',0           ; 10h >
.main_mnu_sysset    db  'Ustawienia systemowe  ->',0           ; 
.main_mnu_save      db  'Zapisz zmiany         ~F2~',0
.main_mnu_bar       db  '-------------------',0

; record settings menu - menu ustawien napedow
.record_mnu_title    db  'Ustawienia napdw',0
.record_mnu_info     db  'Informacje      ~/ lub ?~',0
.record_mnu_name     db  'Nazwa                ~F3~',0
.record_mnu_passwd   db  'Haso                ~F9~',0
.record_mnu_schedule db  'Harmonogram      ~Ctrl-S~',0
.record_mnu_keys     db  'Przeka klawisze ~Ctrl-K~',0
.record_mnu_act      db  'Oznacz aktywna       ~F4~',0
.record_mnu_hide     db  'Ukryj/poka          ~F5~',0
.record_mnu_autoact  db  'Auto aktywuj         ~F6~',0
.record_mnu_autohide db  'Auto ukryj           ~F7~',0
.record_mnu_swapdrv  db  'Zamie id dysku  ~Ctrl-X~',0
.record_mnu_del      db  'Usu             ~Ctrl-D~',0
.record_mnu_dup      db  'Powiel napd     ~Ctrl-P~',0
.record_mnu_moveup   db  'Przesu w gr   ~Ctrl-U~',0
.record_mnu_movedown db  'Przesu w d    ~Ctrl-N~',0
.record_mnu_bar      db  '----------------------',0

; system setting menu
.sys_mnu_title       db  'Ustawienia systemowe',0
.sys_mnu_rootpasswd  db  'Haso administratora                  ~F10~',0
.sys_mnu_admin       db  'Tryb administratora              ~Ctrl-F10~',0
.sys_mnu_security    db  'Tryb ochrony                      ~Alt-F10~',0
.sys_mnu_setdef      db  'Ustaw napd domylny                   ~F8~',0
.sys_mnu_unsetdef    db  'Wycz napd domylny            ~Shift-F8~',0
.sys_mnu_delay       db  'Ustaw czas opnienia              ~Ctrl-T~',0
.sys_mnu_bmstyle     db  'Zmie wygld Boot Menu             ~Ctrl-F~',0
.sys_mnu_remlast     db  'Zapamitaj ostatnie bootowanie     ~Ctrl-L~',0
.sys_mnu_int13ext    db  'W/wy rozszerzenie int 13h',0
.sys_mnu_rescanall   db  'Skanuj ponownie wszystkie napdy   ~Ctrl-I~',0
.sys_mnu_rescanpart  db  'Skanuj ponownie wszystkie partycje ~Ctrl-H~',0
.sys_mnu_set_ioports db  'Ustaw porty i/o CD-ROM',0
;.sys_mnu_set_y2kfix  db  'Usu bd BIOSu 2000 roku',0
.sys_mnu_set_y2kfix  db  'Ustaw rok (napraw bd BIOSu 2000)',0
.sys_mnu_inst        db  'Zainstaluj Smart BootManagera',0
.sys_mnu_uninst      db  'Odinstaluj Smart BootManagera',0
.sys_mnu_bar         db  '------------------------------',0

.cdimg_mnu_title     db  'Wybierz obraz CD',0
.cdimg_mnu_noemu     db  'Bez emulacji',0
.cdimg_mnu_120m      db  'Dyskietka 1.2 M',0
.cdimg_mnu_144m      db  'Dyskietka 1.44M',0
.cdimg_mnu_288m      db  'Dyskietka 2.88M',0

.sunday              db 'Nie',0
.monday              db 'Pon',0
.tuesday             db 'Wto',0
.wednesday           db 'ro',0
.thursday            db 'Czw',0
.friday              db 'Pi',0
.saturday            db 'Sob',0

; END OF THEME.
end_of_theme:

